Bug 179017 - libc-client: change somajor
libc-client: change somajor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libc-client (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-26 11:16 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2004g-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 04:49:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-01-26 11:16:58 EST
Previous release from fc4 used 
%define somajor 0

And this version most definitely is not binary-compatible.
Comment 1 Rex Dieter 2006-01-26 11:21:22 EST
Side-issue: I maintain uw-imap in Extras, and already have a libc-client2004g
pkg, using somajor 2004g.  2 options:
1. avoid overlap, use something *other* than %%version as somajor
2. If you choose to use 2004g (like how openssl's somajor, that's why I chose
it), then make sure to add
Obsoletes: libc-client2004g
Comment 2 Joe Orton 2006-02-01 04:49:33 EST
I've just bumped the somajor to 1; thanks a lot for the report.

Note You need to log in before you can comment on or make changes to this bug.